Skip to content

Get merchant by ID

Request

Security
oauth2(Required scopes: merchant:read) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

merchantIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A lender's identifier for the merchant.

GET
/companies/{companyId}/merchants/{merchantId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/merchants/{merchantId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Merchant)
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "businessName": "string", "businessTypeDisplayName": "string", "disputesContactEmail": "string", "disputesContactName": "string", "disputesContactPhone": "string", "externalId": "string", "parentMerchantId": "string", "primaryContactEmail": "string", "primaryContactName": "string", "primaryContactPhone": "string", "subEntityname": "string" } }